package de.workshopsoftwarearchitektur.mmdemo.basemodel;

public class Track {

	String title;

	int length; // seconds
	
	protected Track() {
	}

	public Track(String title, int minutes, int seconds) {
		this.title = title;
		this.length = minutes * 60 + seconds;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public int getLength() {
		return length;
	}

	public void setLength(int length) {
		this.length = length;
	}

	@Override
	public String toString() {
		return String.format("  %s (%d:%d)%n", getTitle(), getLength()/60, getLength()%60);
	}
}
